osmo_ss7_user Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct osmo_ss7_instance * | inst
const char * | name
osmo_prim_cb | prim_cb
void * | priv

## Field Documentation

## inst

struct osmo_ss7_instance* osmo_ss7_user::inst

Referenced by DEFUN(), hmdt_message_for_distribution(), osmo_sccp_instance_create(), osmo_ss7_mtp_to_user(), osmo_ss7_user_register(), and osmo_ss7_user_unregister().

## name

const char* osmo_ss7_user::name

Referenced by DEFUN(), osmo_sccp_instance_create(), osmo_ss7_mtp_to_user(), and osmo_ss7_user_register().

## prim_cb

osmo_prim_cb osmo_ss7_user::prim_cb

Referenced by deliver_to_mtp_user(), osmo_sccp_instance_create(), and osmo_ss7_mtp_to_user().

## priv

void* osmo_ss7_user::priv

Referenced by deliver_to_mtp_user(), osmo_sccp_instance_create(), osmo_ss7_mtp_to_user(), and osmo_ss7_user_register().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h